Subject: [Shop-talk] 5x8 trailer decking ideas?

From: Jim Franklin <[email-masked]>
Date: Fri, 24 Apr 2015 10:53:12 -0400

Been quiet for a few days, don't want the collective to lose it's edge :-)

I have a 5x8 utility trailer with a mesh floor that needs a more supportive
deck for 2 motorcycles. I'd like to keep it one piece to stop any water
infiltration that might lift the seam.

I've seen 5x8 ply mentioned for ping pong tables, but not in exterior grade.

There is 5x8 diamond plate (slippery and expensive), so I'm looking around for
other ideas before I butt 4x8 CDX together.

thanks,
_______________________________________________

[email-masked]
Archive: http://www.team.net/archive